eth_getTransactionByHash
Network: Ethereum Sepolia · Testnet · Chain ID 11155111 (0xaa36a7)
Counts as 1 request. See Request Counting.
Returns the information about a transaction requested by transaction hash.
Parameters
DATA(32 bytes) — Hash of a transaction.
Returns
Object|null — A transaction object, or null when no transaction was found.
| Field | Type | Description |
|---|---|---|
| hash | DATA | Transaction hash |
| nonce | QUANTITY | Sender nonce |
| from | DATA | Sender address |
| to | DATA | Recipient address |
| value | QUANTITY | Value transferred (wei) |
| gas | QUANTITY | Gas provided |
| gasPrice | QUANTITY | Gas price (wei) |
| input | DATA | Call data |
| blockHash | DATA | Block hash (null if pending) |
| blockNumber | QUANTITY | Block number (null if pending) |
| transactionIndex | QUANTITY | Index in block (null if pending) |
Request
{
"jsonrpc": "2.0",
"method": "eth_getTransactionByHash",
"params": ["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],
"id": 1
}Response
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"hash": "0x88df...",
"from": "0x...",
"to": "0x...",
"value": "0xde0b6b3a7640000",
"blockNumber": "0x134e82a",
"gasPrice": "0x3b9aca00"
}
}Code Examples
curl -X POST https://ethereum-sepolia-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getTransactionByHash","params":["0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"],"id":1}'